## SYNOPSIS

           ldd [-vdr] program|library ...

## DESCRIPTION

           ldd  prints  the shared libraries required by each program
           or shared library specified on the command line.

## OPTIONS

           --version
                  print version number of ldd.

           -v,--verbose
                  print all information

           -d,--data-relocs
                  Process data relocations  and  report  any  missing
                  objects.

           -r,--function-relocs
                  Perform relocations for both data objects and func
                  tions, and report any missing objects.

## BUGS

           ldd does not work on a.out shared libraries.

           ldd does not work with some extremely old  a.out  programs
           which  were built before ldd support was added to the com
           piler releases.  If you use ldd on one of these  programs,
           the  program  will  attempt  to  run with argc = 0 and the
           results will be unpredictable.

## SEE ALSO

           ldconfig(8)

                             13 February 2001                  LDD(1)